#ifndef _I2C_UTILS_H_
#define _I2C_UTILS_H_
#include "project.h"
#include "func_list.h"

extern f_list_type i2c_func_list[] ;

int init_i2c_master(void) ;

void do_i2c_help(void) ;
void do_i2c_scan(void) ;
void do_i2c_slave(void) ;
void do_i2c_read_byte(void) ;
void do_i2c_write_byte(void) ;
void do_i2c_read_reg(void) ;
void do_i2c_write_reg(void) ;
void do_i2c_read_regs(void) ;
void do_i2c_delay(void) ;
void do_i2c_loop(void) ;
void do_i2c_interval(void) ;
void do_i2c_status(void) ;
void do_i2c_return(void) ;
void do_i2c(void) ;

void i2c_set_slave_address(uint8_t address) ;
int  i2c_test_address(uint8_t address) ;

cy_en_scb_i2c_status_t i2c_read_byte(uint8_t *value) ;
cy_en_scb_i2c_status_t i2c_write_byte(uint8_t value) ;
cy_en_scb_i2c_status_t i2c_read_reg(uint8_t reg_address, uint8_t *value) ;
cy_en_scb_i2c_status_t i2c_write_reg(uint8_t reg_address, uint8_t value) ;
cy_en_scb_i2c_status_t i2c_read_regs(uint8_t reg_address, uint8_t *value, int num) ;

#endif /* _I2C_UTILS_H_ */